OpenTTD Source: TextRefStack Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
TextRefStack Struct Reference

## Public Member Functions
uint8_t | PopUnsignedByte ()
int8_t | PopSignedByte ()
uint16_t | PopUnsignedWord ()
int16_t | PopSignedWord ()
uint32_t | PopUnsignedDWord ()
int32_t | PopSignedDWord ()
uint64_t | PopUnsignedQWord ()
int64_t | PopSignedQWord ()
void | RotateTop4Words ()
| Rotate the top four words down: W1, W2, W3, W4 -> W4, W1, W2, W3.
void | PushWord (uint16_t word)
void | ResetStack (const GRFFile *grffile)

## Data Fields
std::array< uint8_t, 0x30 > | stack
uint8_t | position
const GRFFile * | grffile
bool | used

## Detailed Description

Definition at line 687 of file newgrf_text.cpp.

## Constructor & Destructor Documentation

## ◆ TextRefStack()

TextRefStack::TextRefStack | ( |  | ) |
| inline

Definition at line 693 of file newgrf_text.cpp.

## Member Function Documentation

## ◆ PopSignedByte()

int8_t TextRefStack::PopSignedByte | ( |  | ) |
| inline

Definition at line 696 of file newgrf_text.cpp.

## ◆ PopSignedDWord()

int32_t TextRefStack::PopSignedDWord | ( |  | ) |
| inline

Definition at line 710 of file newgrf_text.cpp.

## ◆ PopSignedQWord()

int64_t TextRefStack::PopSignedQWord | ( |  | ) |
| inline

Definition at line 717 of file newgrf_text.cpp.

## ◆ PopSignedWord()

int16_t TextRefStack::PopSignedWord | ( |  | ) |
| inline

Definition at line 703 of file newgrf_text.cpp.

## ◆ PopUnsignedByte()

uint8_t TextRefStack::PopUnsignedByte | ( |  | ) |
| inline

Definition at line 695 of file newgrf_text.cpp.

## ◆ PopUnsignedDWord()

uint32_t TextRefStack::PopUnsignedDWord | ( |  | ) |
| inline

Definition at line 705 of file newgrf_text.cpp.

## ◆ PopUnsignedQWord()

uint64_t TextRefStack::PopUnsignedQWord | ( |  | ) |
| inline

Definition at line 712 of file newgrf_text.cpp.

## ◆ PopUnsignedWord()

uint16_t TextRefStack::PopUnsignedWord | ( |  | ) |
| inline

Definition at line 698 of file newgrf_text.cpp.

## ◆ PushWord()

void TextRefStack::PushWord | ( | uint16_t | word | ) |
| inline

Definition at line 728 of file newgrf_text.cpp.

## ◆ ResetStack()

void TextRefStack::ResetStack | ( | const GRFFile * | grffile | ) |
| inline

Definition at line 740 of file newgrf_text.cpp.

## ◆ RotateTop4Words()

void TextRefStack::RotateTop4Words | ( |  | ) |
| inline

Rotate the top four words down: W1, W2, W3, W4 -> W4, W1, W2, W3.

Definition at line 720 of file newgrf_text.cpp.

Referenced by RemapNewGRFStringControlCode().

## Field Documentation

## ◆ grffile

const GRFFile* TextRefStack::grffile

Definition at line 690 of file newgrf_text.cpp.

## ◆ position

uint8_t TextRefStack::position

Definition at line 689 of file newgrf_text.cpp.

## ◆ stack

std::array<uint8_t, 0x30> TextRefStack::stack

Definition at line 688 of file newgrf_text.cpp.

## ◆ used

bool TextRefStack::used

Definition at line 691 of file newgrf_text.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_text.cpp